Authentication, input and response

Assess the full potential of the Satellite Roof Scan API by understanding the key parameters and response.

POST https://api.altum.ai/satellite-roof-scan

The endpoint allows you to interact with the Solar Panel API by sending specific queries, such as postal codes, to retrieve detailed real estate data. You can find the full endpoint above.

Query Parameters

Parameter

Type

Description

postcode

string

zip code in six character format e.g. 1234AB

housenumber

string

house number of the object e.g. 1

huisletter

string

addition to the house number e.g. A

roof_geometry

boolean

The polygon shape of the selected roof; if false, it skips geometry and only performs image-based detection.

image_source

string

Specifies where the imagery comes from (auto, pdok,esri, or google_maps).

circle-info

Note:

  • The huisletter is an optional field, you can leave it empty ("") otherwise all fields are required.

  • Some roof geometries are not always available.

  • Google Maps Services are temporarily disabled.

  • You can switch the image source between pdok, esri,or auto (default).

Headers

Name
Type
Description

Content-Type

string

application/json

x-api-key*

string

Unique API key from Altum. Obtain one via Mopsus (https://mopsus.altum.ai)

Response

Upon a successful POST request, the API returns a 200 OK status with a JSON object containing the results.

Example Complete Output

Field

Type

Description

postcode

string

zip code in six character format e.g. 1234AB

housenumber

string

house number of the object e.g. 1

huisletter

string

addition to the house number e.g. A

imagery_source

string

Source of the aerial image used.

annotated_image_url

string

A public URL to the image with detected solar panels drawn on it.

imagery_date

date

Date of the aerial image was captured.

num_panels_detected

integer

The total number of solar panels (or other detected objects) found.

detections

array

An array of JSON objects, with each object describing a detected solar panel, including its label, confidence score, and bounding box coordinates.

Request body

A valid POST request body would look like this:

Output

Upon a successful POST request, the API returns a 200 OK status with a JSON object containing the results.

Example Complete Output

Laatst bijgewerkt